local name, ns = ...
ns.PLAYER_LOGIN = false

ns.AutoScrapGlobalDefaultConfig = {
    boxList = {}
}

ns.AutoScrapCharDefaultConfig = {
    cantidad = 1000,
    TSM_mercado = "dbregionmarketavg",
    usar2Mercados = false,
    venderAnillos = false,
    venderGrises = false,
    venderBlancos = false,
    iLevel = 150,
    protectedIlevel = true,
    autoscrapOn = false,
    sliderMax = 5000,
    noVenderList = {},
    sellRatio = 0.21,
    protectedRatio = false,
    protectSouldBinds = true,
    protectedConsumables = true,
    protectedRecipes = false,
    protectedCooking= true,
    protectedLeather= true,
    protectedCloths= true,
    protectedHerbs= true,
    protectedMining= true,
    protectedAdvancedOptions = false,
    ringsGold = 1000000,
    ringsiLevel = 150,
    ringsRate = 1,
    whitesGold = 1000000,
    whitesiLevel = 150,
    whitesRate = 1,
    graysGold = 1000000,
    graysiLevel = 150,
    graysRate = 1,
    destinatario="",
    autoLoot = true,
    OutterFrame = {
        startPoint = "CENTER" , --TOPRIGHT
        relativePoint = "CENTER", --TOPRIGHT
        xOfs =0, -- (-35)
        yOfs =0, -- (-230)
    },
    AutoLoot = true,
    debug = false,
    ratioData = {
        [1] = {gold=400,rate=0.08},
        [2] = {gold=800,rate=0.06},
        [3] = {gold=1000,rate=0.05},
        [4] = {gold=2000,rate=0.04},
        [5] = {gold=nil,rate=0.02}
    }
}

AutoScrap_CharSettings = AutoScrap_CharSettings or ns.AutoScrapCharDefaultConfig -- inicialización prematura
AutoScrap_GlobalSettings = AutoScrap_GlobalSettings or ns.AutoScrapGlobalDefaultConfig
-- tener en cuenta que la variable global no se carga con el script, si no después de un tiempo y hay que esperar el evento.
-- la primera vez aunque la variable sea nil también se lanza el evento.

ns.variablesCargadas= function (...)
    if name == ... then
        if AutoScrap_CharSettings == nil then
            AutoScrap_CharSettings = ns.AutoScrapCharDefaultConfig
        else
            for k, v in pairs(ns.AutoScrapCharDefaultConfig) do
                if AutoScrap_CharSettings[k] == nil then
                    AutoScrap_CharSettings[k] = v
                end
            end
        end
        if AutoScrap_GlobalSettings == nil then
            AutoScrap_GlobalSettings = ns.AutoScrapGlobalDefaultConfig
        else
            for k, v in pairs(ns.AutoScrapGlobalDefaultConfig) do
                if AutoScrap_GlobalSettings[k] == nil then
                    AutoScrap_GlobalSettings[k] = v
                end
            end
        end

        ns.changeItemClass("Consumables",not AutoScrap_CharSettings.protectedConsumables)
        ns.changeItemClass("Recipes",not AutoScrap_CharSettings.protectedRecipes)
        ns.changeItemClass("Cooking",not AutoScrap_CharSettings.protectedCooking)
        ns.changeItemClass("Leather",not AutoScrap_CharSettings.protectedLeather)
        ns.changeItemClass("Cloths",not AutoScrap_CharSettings.protectedCloths)
        ns.changeItemClass("Herbs",not AutoScrap_CharSettings.protectedHerbs)
        ns.changeItemClass("Mining",not AutoScrap_CharSettings.protectedMining)
        ns.newChanges = true
        ns.setRatioData()
        ns.setAdvOptions(AutoScrap_CharSettings.protectedAdvancedOptions)
        ns.updateUI()
        ns.AddOnValueChangedLater()
        ns.AddDestinatario(AutoScrap_CharSettings.destinatario)
        ns.setOFPosition()
        ns.showDebug(AutoScrap_CharSettings.debug)

    end
end


