local _, ns = ...
local point, relativePoint, xOfs, yOfs = nil,nil,nil,nil
function ns.windowMovedTo(...)
    point, _, relativePoint, xOfs, yOfs = ...
end
function ns.getWindowMovedTo()
    if xOfs == nil or yOfs == nil then
        return "CENTER", UIParent, "CENTER", 0, 0
    else
        return point, UIParent, relativePoint, xOfs, yOfs
    end
end

--local bankOutterFrame = CreateFrame("Frame",nil,BankFrame)
--bankOutterFrame:SetSize(504,-304,105-0)
--bankOutterFrame:SetPoint("CENTER",UIParent,"CENTER")

--bankOutterFrame:SetPoint("TOP",BankFrame,"TOP",0,0)

--local AutoScrapBank = ns.Utils.crearFrameConTextura (BankFrame,304,504,0,105,1,"mailpanel")
local framew, frameh, scale = 180,90, 1.4
local bgoutterframe = CreateFrame("Frame",nil, BankFrame)
bgoutterframe:SetSize(framew,frameh)
bgoutterframe:SetPoint("TOPLEFT",BankFrame,"TOPRIGHT",0,0)
bgoutterframe:SetFrameStrata("HIGH");

local bg = CreateFrame("Frame",nil,bgoutterframe)
bg:SetSize((framew-15)*(1+scale),(frameh-15)*(1+scale))
bg:SetPoint("CENTER",bgoutterframe,"CENTER")
bg.tex =bg:CreateTexture(nil, "BACKGROUND")
bg.tex:SetAllPoints(bg)
bg.tex:SetHorizTile(true)
bg.tex:SetVertTile(true)
--bg.tex:SetTexture("Interface\\AddOns\\AutoScrap\\images\\backdrop\\woodbackground", "MIRROR", "MIRROR")
bg.tex:SetTexture("Interface\\AddOns\\AutoScrap\\images\\backdrop\\woodbackground", "REPEAT", "REPEAT")
bg:SetScale(100/(1+scale)/100)


local AutoScrapBank = CreateFrame("Frame", nil, bgoutterframe, "BackdropTemplate")
AutoScrapBank:SetPoint("CENTER",bgoutterframe,"CENTER")
AutoScrapBank:SetSize(framew, frameh    )
--dialog:SetClipsChildren(true)
AutoScrapBank:SetBackdrop({
   -- bgFile = "Interface\\AddOns\\AutoScrap\\images\\test",
    edgeFile = "Interface\\AddOns\\AutoScrap\\images\\backdrop\\backdrop",
    edgeSize = 32,
    tileEdge = true,
--tile = true, --background
--tileSize = 0 --background
    insets = { left = 4, right = 4, top = 4, bottom = 4 },
})

--AutoScrapBank:SetPoint("TOPLEFT",BankFrame,"TOPRIGHT",0,0)
--local AutoScrapBank = ns.Utils.crearFrameConTextura (bankOutterFrame,304,504,0,105,1,"mailpanel")
--AutoScrapBank:SetPoint("CENTER",bankOutterFrame,"CENTER",0,0)
AutoScrapBank:RegisterEvent("BANKFRAME_OPENED")
AutoScrapBank:RegisterEvent("BANKFRAME_CLOSED")
AutoScrapBank:RegisterEvent("PLAYERBANKSLOTS_CHANGED")
AutoScrapBank:RegisterEvent("PLAYERBANKBAGSLOTS_CHANGED") --cuando compran una casilla
--AutoScrapBank:RegisterEvent("PLAYERREAGENTBANKSLOTS_CHANGED") 
--AutoScrapBank:RegisterEvent("REAGENTBANK_UPDATE") --cuando compré la casilla de reagent del banco


local function mostrarFrame()
    --bankOutterFrame:Show()
    AutoScrapBank:RegisterEvent("BAG_UPDATE")
    bgoutterframe:Show()
    C_Timer.After(0, function ()ns.attachBankFrameToBagOrBank()end)
end

local function ocultarFrame()
    --bankOutterFrame:Hide()
    AutoScrapBank:UnregisterEvent("BAG_UPDATE")
    bgoutterframe:Hide()
end

local function bankHandler(self,event,...)
    --print(event,...)
    if event == "BANKFRAME_OPENED" then
        mostrarFrame()
    elseif event == "BANKFRAME_CLOSED" then
        ocultarFrame()
        ns.ocultarBankFrame()
        ns.ocultarBankToInvFrame()
    elseif event == "PLAYERBANKSLOTS_CHANGED" or event == "PLAYERBANKBAGSLOTS_CHANGED" or event == "BAG_UPDATE" then
        ns.ocultarBankFrame()
        ns.ocultarBankToInvFrame()
    end
end

function ns.refreshDataBankFrame()
    if ns.isInvToBankShown() then
        ns.refreshDataInvToBank()
    elseif ns.isBankToInvShown() then
        ns.refreshDataBankToInv()
    end
end

AutoScrapBank:SetScript("OnEvent",bankHandler)

AutoScrapBank.spam=ns.Utils.crearFrameConTextura (AutoScrapBank,0,105,366,385,1,"mailpanel")
AutoScrapBank.spam:SetPoint("TOPLEFT",AutoScrapBank,"TOPLEFT",15    ,-15)
AutoScrapBank.spam:SetScale(0.70)

AutoScrapBank.button1 = ns.Utils.crearBoton(AutoScrapBank,140,22,L["Inventory to Bank"],function ()
    ns.toggleBankFrame()
    ns.ocultarBankToInvFrame() 
end)
AutoScrapBank.button1:SetPoint("TOP",AutoScrapBank,"TOP",0,-28)

AutoScrapBank.button2 = ns.Utils.crearBoton(AutoScrapBank,140,22,L["Bank to Inventory"],function ()
    ns.toggleBankToInvFrame()
    ns.ocultarBankFrame()
end) --al añadir el togle del inventario recordar ponerlo también en ocultar cuando te alejas del banco en bank_close
AutoScrapBank.button2:SetPoint("TOP",AutoScrapBank.button1,"BOTTOM",0,-5)

function ns.disableBankWindow()
    AutoScrapBank.button1:Hide()
    AutoScrapBank.button2:Hide()
    AutoScrapBank.mainTitle=AutoScrapBank:CreateFontString(nil, "OVERLAY", "GameFontHighlight")
    AutoScrapBank.mainTitle:SetText(L["|cffff0000No|r |cff00ff00TSM 4|r |cffff0000 found|r"])
    AutoScrapBank.mainTitle:SetPoint("CENTER",AutoScrapBank,"CENTER",0,0)
end

ocultarFrame()

function ns.attachBankFrameToBagOrBank()
    if BagnonBankFrame1 ~= nil then
        bgoutterframe:SetParent(BagnonBankFrame1)
        bgoutterframe:ClearAllPoints()
        bgoutterframe:SetPoint("TOPLEFT",BagnonBankFrame1,"TOPRIGHT",0,0)
    elseif ElvUI_BankContainerFrame ~= nil then
        bgoutterframe:SetParent(ElvUI_BankContainerFrame)
        bgoutterframe:ClearAllPoints()
        bgoutterframe:SetPoint("TOPLEFT",ElvUI_BankContainerFrame,"TOPRIGHT",0,0)
    elseif BankFrame:IsShown() == false or BankFrame:GetParent()~= UIParent then
        --print("esto")
        bgoutterframe:SetParent(UIParent)
        bgoutterframe:ClearAllPoints()
        bgoutterframe:SetPoint("TOPLEFT",UIParent,"TOPLEFT",150,-150)
        --bgoutterframe:Show()
    else
        bgoutterframe:SetParent(BankFrame)
        bgoutterframe:ClearAllPoints()
        bgoutterframe:SetPoint("TOPLEFT",BankFrame,"TOPRIGHT",0,0)
    end
end